@import url('/src/styles/styles.less');

.class-dash-board-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(7, min(300px, 1fr));
    grid-column-gap: 1.3em;
    grid-row-gap: 2em;


    .class-dash-board-greeting {
        grid-area: 1 / 1 / 2 / 3;

        .greeting-text {
            color: @blue-5;
            font-weight: bold;
            font-size: larger;
        }

        .greeting-message {
            font-weight: bold;
            font-size: large;
        }
    }

    .class-background-container {
        grid-area: 3/1/4/3;

        .class-background-image {
            width: 70%;
            // height: 100%;
        }
    }

    .short-cut {
        grid-area: 1 / 3 / 8 / 4;

        .short-cut-btn-wrapper {
            flex-direction: row;
            justify-content: flex-start;
            flex-wrap: wrap;
            display: flex;

            button {
                margin-right: 1rem;
                margin-bottom: 1rem;
            }
        }

        text-align: center;

        .class-dash-board-upcoming-sessions__title {
            font-weight: bold;
            font-size: 1.2em;
            border-bottom: 1.4px solid @blue-3;
            margin: 0.4em .6em;
        }

        .up-coming-unit-wrapper {
            svg {
                margin-right: 0.5rem;
            }
        }

        .up-coming-note-wrapper {
            display: flex;
            justify-content: center;
            align-items: center;

            .icon-wrapper {
                margin-right: 0.5rem;
            }

            div {
                margin: 0;
            }

            p {
                margin: 0;
            }
        }
    }
}